TRUNCATE(1)

NAMN
truncate — krymp eller utöka storleken på en fil till den angivna storleken

SYNOPSIS
truncate FLAGGA... FIL...

BESKRIVNING

Krymp eller utöka storleken på varje FIL till den angivna storleken.

Ett FILargument som inte finns skapas.

Om en FIL är större än den angivna storleken förloras överskjutande data. Om en FIL är kortare utökas den och den utökade glesa delen (hålet) läses som noll-byte:ar.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-c, --no-create
    Skapa inga filer.

-o, --io-blocks
    Använd STORLEK som antal IO-block istället för byte.

-r, --reference=RFIL
    Basera storlek på RFIL.

-s, --size=STORLEK
    Ange eller justera filstorlek med STORLEK byte.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Argumentet STORLEK är ett heltal och eventuell enhet (exempel: 10K är 10·1024). Enheter är K, M, G, T, P, E, Z, Y (potenser av 1024) eller KB, MB, … (potenser av 1000). Binära prefix kan också användas: KiB=K, MiB=M, och så vidare.

STORLEK kan också föregås av en av följande modifierande tecken: ”+” utöka med, ”-” minska med, ”<” högst, ”>” minst, ”/” avrunda neråt till multipel av, ”%” avrunda uppåt till multipel av.

UPPHOVSMAN
Skrivet av Padraig Brady.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
dd(1), truncate(2), ftruncate(2)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/truncate>
eller tillgängligt lokalt via: info '(coreutils) truncate invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.